Loading...
Searching...
No Matches
gx_gui::SelectJackControlPgm Class Reference

`#include <gx_jack_options.h>`

Inheritance diagram for gx_gui::SelectJackControlPgm:

## Public Member Functions

| ~SelectJackControlPgm ()
sigc::signal< void > & | signal_close ()

## Static Public Member Functions

static SelectJackControlPgm * | create (gx_system::CmdlineOptions &opt, gx_engine::GxMachineBase &machine)

## Private Member Functions

void | on_starter_changed ()
void | on_ok_button ()
void | on_cancel_button ()
bool | on_delete_event (GdkEventAny *event)
bool | on_key_press_event (GdkEventKey *event)
| SelectJackControlPgm (BaseObjectType *cobject, Glib::RefPtr< GxBuilder > bld, gx_engine::GxMachineBase &m)

## Static Private Member Functions

static SelectJackControlPgm * | create_from_builder (BaseObjectType *cobject, Glib::RefPtr< GxBuilder > bld, gx_engine::GxMachineBase &m)

## Private Attributes

Gtk::Label * | description
Gtk::Entry * | customstarter
Gtk::ComboBox * | startercombo
Gtk::CheckButton * | dontask
gx_engine::GxMachineBase & | machine
sigc::signal< void > | close

## Detailed Description

Definition at line 38 of file gx_jack_options.h.

## Constructor & Destructor Documentation

## SelectJackControlPgm()

gx_gui::SelectJackControlPgm::SelectJackControlPgm | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | m )

private

Referenced by create(), and create_from_builder().

## ~SelectJackControlPgm()

gx_gui::SelectJackControlPgm::~SelectJackControlPgm | ( |  | ) |

## Member Function Documentation

## create()

SelectJackControlPgm * gx_gui::SelectJackControlPgm::create | ( | gx_system::CmdlineOptions & | opt,
|  | gx_engine::GxMachineBase & | machine )

static

## create_from_builder()

SelectJackControlPgm * gx_gui::SelectJackControlPgm::create_from_builder | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | m )

inline static private

Definition at line 51 of file gx_jack_options.h.

## on_cancel_button()

void gx_gui::SelectJackControlPgm::on_cancel_button | ( |  | ) |

private

## on_delete_event()

bool gx_gui::SelectJackControlPgm::on_delete_event | ( | GdkEventAny * | event | ) |

private

## on_key_press_event()

bool gx_gui::SelectJackControlPgm::on_key_press_event | ( | GdkEventKey * | event | ) |

private

## on_ok_button()

void gx_gui::SelectJackControlPgm::on_ok_button | ( |  | ) |

private

## on_starter_changed()

void gx_gui::SelectJackControlPgm::on_starter_changed | ( |  | ) |

private

## signal_close()

sigc::signal< void > & gx_gui::SelectJackControlPgm::signal_close | ( |  | ) |

inline

Definition at line 58 of file gx_jack_options.h.

## Member Data Documentation

## close

sigc::signal<void> gx_gui::SelectJackControlPgm::close

private

Definition at line 45 of file gx_jack_options.h.

Referenced by signal_close().

## customstarter

Gtk::Entry* gx_gui::SelectJackControlPgm::customstarter

private

Definition at line 41 of file gx_jack_options.h.

## description

Gtk::Label* gx_gui::SelectJackControlPgm::description

private

Definition at line 40 of file gx_jack_options.h.

## dontask

Gtk::CheckButton* gx_gui::SelectJackControlPgm::dontask

private

Definition at line 43 of file gx_jack_options.h.

## machine

gx_engine::GxMachineBase& gx_gui::SelectJackControlPgm::machine

private

Definition at line 44 of file gx_jack_options.h.

Referenced by create().

## startercombo

Gtk::ComboBox* gx_gui::SelectJackControlPgm::startercombo

private

Definition at line 42 of file gx_jack_options.h.

The documentation for this class was generated from the following file:

- src/headers/gx_jack_options.h